import React from 'react';
import { Icon } from 'rlj-design';
import { useAtomValue } from 'jotai';
import { hoverCellAtom } from "../../State";
export default function rowPrefix(props) {
  var selectRowShowDel = props.selectRowShowDel,
      selectOneRow = props.selectOneRow,
      rowIndex = props.rowIndex,
      onClick = props.onClick;
  var hoverCellValue = useAtomValue(hoverCellAtom);
  var isShowDel = selectRowShowDel && ((selectOneRow === null || selectOneRow === void 0 ? void 0 : selectOneRow.rowIndex) === rowIndex || hoverCellValue === rowIndex);
  return /*#__PURE__*/React.createElement("div", {
    className: "rowPrefixSpBox"
  }, isShowDel ? /*#__PURE__*/React.createElement("div", {
    className: "delIconDiv",
    onClick: onClick
  }, /*#__PURE__*/React.createElement(Icon, {
    type: "delete",
    size: 16
  })) : /*#__PURE__*/React.createElement("div", {
    className: "numberDiv"
  }, rowIndex + 1));
}